From 312de4b3418552cba37114663d4148c3d65ad96c Mon Sep 17 00:00:00 2001
From: Starbeamrainbowlabs <sbrl@starbeamrainbowlabs.com>
Date: Sun, 20 Nov 2016 09:41:23 +0000
Subject: [PATCH] Add tab indexing to file upload form. Fixes #120

---
 build/index.php            | 10 +++++-----
 module_index.json          |  4 ++--
 modules/feature-upload.php | 10 +++++-----
 3 files changed, 12 insertions(+), 12 deletions(-)

diff --git a/build/index.php b/build/index.php
index 8a56cae..3db041a 100755
--- a/build/index.php
+++ b/build/index.php
@@ -2969,7 +2969,7 @@ class search
 
 register_module([
 	"name" => "Uploader",
-	"version" => "0.5.7",
+	"version" => "0.5.8",
 	"author" => "Starbeamrainbowlabs",
 	"description" => "Adds the ability to upload files to Pepperminty Wiki. Uploaded files act as pages and have the special 'File/' prefix.",
 	"id" => "feature-upload",
@@ -3027,15 +3027,15 @@ register_module([
 		<p>$settings->sitename currently supports uploading of the following file types: " . implode(", ", $settings->upload_allowed_file_types) . ".</p>
 		<form method='post' action='?action=upload' enctype='multipart/form-data'>
 			<label for='file'>Select a file to upload.</label>
-			<input type='file' name='file' id='file-upload-selector' />
+			<input type='file' name='file' id='file-upload-selector' tabindex='1' />
 			<br />
 			<label for='name'>Name:</label>
-			<input type='text' name='name' id='file-upload-name'  />
+			<input type='text' name='name' id='file-upload-name' tabindex='5'  />
 			<br />
 			<label for='description'>Description:</label>
-			<textarea name='description'></textarea>
+			<textarea name='description' tabindex='10'></textarea>
 			<p class='editing_message'>$settings->editing_message</p>
-			<input type='submit' value='Upload' />
+			<input type='submit' value='Upload' tabindex='20' />
 		</form>
 		<script>
 			document.getElementById('file-upload-selector').addEventListener('change', function() {
diff --git a/module_index.json b/module_index.json
index e0a3706..ac0e31a 100755
--- a/module_index.json
+++ b/module_index.json
@@ -82,11 +82,11 @@
     },
     {
         "name": "Uploader",
-        "version": "0.5.7",
+        "version": "0.5.8",
         "author": "Starbeamrainbowlabs",
         "description": "Adds the ability to upload files to Pepperminty Wiki. Uploaded files act as pages and have the special 'File\/' prefix.",
         "id": "feature-upload",
-        "lastupdate": 1476906745,
+        "lastupdate": 1479634619,
         "optional": false
     },
     {
diff --git a/modules/feature-upload.php b/modules/feature-upload.php
index 723be41..193de0d 100644
--- a/modules/feature-upload.php
+++ b/modules/feature-upload.php
@@ -1,7 +1,7 @@
 <?php
 register_module([
 	"name" => "Uploader",
-	"version" => "0.5.7",
+	"version" => "0.5.8",
 	"author" => "Starbeamrainbowlabs",
 	"description" => "Adds the ability to upload files to Pepperminty Wiki. Uploaded files act as pages and have the special 'File/' prefix.",
 	"id" => "feature-upload",
@@ -59,15 +59,15 @@ register_module([
 		<p>$settings->sitename currently supports uploading of the following file types: " . implode(", ", $settings->upload_allowed_file_types) . ".</p>
 		<form method='post' action='?action=upload' enctype='multipart/form-data'>
 			<label for='file'>Select a file to upload.</label>
-			<input type='file' name='file' id='file-upload-selector' />
+			<input type='file' name='file' id='file-upload-selector' tabindex='1' />
 			<br />
 			<label for='name'>Name:</label>
-			<input type='text' name='name' id='file-upload-name'  />
+			<input type='text' name='name' id='file-upload-name' tabindex='5'  />
 			<br />
 			<label for='description'>Description:</label>
-			<textarea name='description'></textarea>
+			<textarea name='description' tabindex='10'></textarea>
 			<p class='editing_message'>$settings->editing_message</p>
-			<input type='submit' value='Upload' />
+			<input type='submit' value='Upload' tabindex='20' />
 		</form>
 		<script>
 			document.getElementById('file-upload-selector').addEventListener('change', function() {
